Subject: Re: [linuxppc-release] [PATCH v2 4/4] fsl-dma: use spin_lock_bh to instead of spin_lock_irqsave

From: Timur Tabi <[email-masked]>
Date: Thu, 12 Jul 2012 13:23:47 -0500

Liu Qiang-B32616 wrote:
> I compared my test result before and after this patch, write performance can
> improved by 15%. I will send the latest patches sooner because of Ira's concern.
> I will give a complete description about the improvement of spin_lock_bh().
> 
> About your question, spin_lock_bh is used in the case of bottom/half as its
> name, there is no need to protect a running/pending list with spin_lock_irqsave.

Please respin the patch and include this information in the patch description.

-- 
Timur Tabi
Linux kernel developer at Freescale